//
// $Id: DbError.cc,v 1.4 2000/06/10 00:20:02 sergey Exp $
//

#include "DbError.h"
#include "Util/Error.h"


namespace DB
{
    void DbError::openError(const char* file, int line, const char* databaseName, int error)
    {
        Util::Error::errorMessage(false, "%s,%d: Fail to open database '%s' (%d)", file, line, databaseName, error);
    }

    void DbError::closeError(const char* file, int line, int error)
    {
        Util::Error::errorMessage(false, "%s,%d: Fail to close database (%d)", file, line, error);
    }

    void DbError::readAppInfoError(const char* file, int line, int error)
    {
        Util::Error::errorMessage(false, "%s,%d: Fail to read AppInfo block (%d)", file, line, error);
    }

    void DbError::readRecordError(const char* file, int line, int error)
    {
        Util::Error::errorMessage(false, "%s,%d: Fail to read record (%d)", file, line, error);
    }

    void DbError::getRecordInfoError(const char* file, int line, int error)
    {
        Util::Error::errorMessage(false, "%s,%d: Fail to obtain record attributes (%d)", file, line, error);
    }
}
